2017년 1월 1일 일요일

"Failed to load the JNI shared library..." 에러 해결 방법

안녕하세요. Alan 입니다.



이클립스를 실행했는 데 위 그림처럼 "Failed to load the JNI shared library..." 오류가 나고 실행이 되지 않는다면, 실행하려는 이클립스버전은 32bit 인데, 사용중인 java 환경이 64bit 환경이신 경우, "Failed to load the JNI shared library..." 오류가 발생할 확률이 높습니다. 아래 방법을 참고해주세요.

[원인] 

검색 결과, JDK 버전과 실행하려는 이클립스의 32bit/64bit 가 일치하지 않는 경우 발생하는 것으로 확인.

[해결 방법]

JDK 버전 중 32bit/64bit 설치 파일을 실행하려는 이클립스 버전에 맞춰 별도로 다운로드 받아 추가로 설치 후 JAVA_HOME 환경 변수 경로를 이클립스 버전에 맞춰 경로 수정 후 실행.
정상 동작하여 문제 해결 확인.


위와 다른 형태의 문제라면 구글링을 부탁드립니다.

감사합니다.